Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class AccountEvent

    java.lang.Object
      portlets.compoze.groupware.AccountEvent

All Implemented Interfaces:
  java.io.Serializable

public class AccountEvent
extends java.lang.Object
implements java.io.Serializable

This class represents an account event.

See Also:
  Serialized Form

Field Summary
`static int` | `ACCOUNT_EVENT_SESSION_CREATED` This value represents the 'session created' event.

Constructor Summary
`AccountEvent(Account account, int iEvent)` Constructor.

Method Summary
`void` | `addProperty(java.lang.String sKey, java.lang.Object value)` Adds the property.
`Account` | `getAccount()` Gets the account.
`int` | `getEvent()` Gets the event.
`java.util.Map` | `getProperties()` Gets the properties.
`void` | `setProperties(java.util.Map props)` Sets the properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCOUNT_EVENT_SESSION_CREATED

    public static final int ACCOUNT_EVENT_SESSION_CREATED

  This value represents the 'session created' event.

  See Also:
    Constant Field Values

Constructor Detail

### AccountEvent

    public AccountEvent(Account account,
                        int iEvent)

  Constructor.

Parameters:
  `account` - the account (may not `null`)
  `iEvent` - the event (see `ACCOUNT_EVENT_` constants)

Method Detail

### getAccount

    public Account getAccount()

  Gets the account.

  Returns:
    the account

### getEvent

    public int getEvent()

  Gets the event.

  Returns:
    the event (see `ACCOUNT_EVENT_` constants)

### setProperties

    public void setProperties(java.util.Map props)

  Sets the properties.

  Parameters:
    `props` - a map of properties

### addProperty

    public void addProperty(java.lang.String sKey,
                            java.lang.Object value)

  Adds the property.

  Parameters:
    `sKey` - the property key
    `value` - the property value (may not be `null`)

### getProperties

    public java.util.Map getProperties()

  Gets the properties.

  Returns:
    a map of properties (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.